<div class=" col-lg-8 offset-lg-2">
    <div class="card">
        <div class="card-header">
            <h2 class="title">
                Modification de vos informations client
            </h2>
        </div>
        <div class="card-body">
            <div class="alert alert-success text-center" *ngIf="success">
                <p> Vos informations ont été mises à jour avec succès !
                </p>
            </div>
            <div *ngIf="errors" class="text-center alert alert-danger">
                Une erreur est survenue !
                <br>
                {{ errors }}
            </div>
            <form *ngIf="step==0" class="form">
                <div class="form-group">
                    <label for="input-username">Adresse Email</label>
                    <input name="email" [(ngModel)]="client.email" id="input-username"
                           class="form-control form-control-feedback" placeholder="Email" type="email"
                           autofocus required>

                    <label for="input-firstname">Prénom</label>
                    <input name="firstname" [(ngModel)]="client.first_name" id="input-firstname"
                           class="form-control" placeholder="Prénom"
                           autofocus required>
                    <label for="input-lastname">Nom</label>
                    <input name="lastname" [(ngModel)]="client.last_name" id="input-lastname"
                           class="form-control" placeholder="Nom"
                           autofocus required>

                    <label for="input-number">Numéro de téléphone (Il nous permet de vous contacter en cas de
                        problème)</label>
                    <input name="number" [(ngModel)]="client.phone" type="string" id="input-number"
                           class="form-control" placeholder="Numéro de téléphone">
                    <label for="input-va">Numéro de carte VA (laissez vide si vous n'en avez pas) - ex: "c000000000"</label>
                    <div class="input-group">
                        <input name="va" [(ngModel)]="client.numero_VA" type="string" id="input-va"
                               class="form-control" placeholder="Numéro de carte VA">
                        <div class="input-group-append danger">
                            <span *ngIf="client.va_validating" class="input-group-text danger">En attente de validation via email</span>
                        </div>
                    </div>


                </div>
                <div>
                    <button class="btn btn-success" (click)="save()">S'enregistrer</button>&nbsp;
                    <a class="btn btn-light" routerLink="/espaceclient/">Retourner à l'accueil</a>
                </div>
            </form>
            <div *ngIf="step==1" class="text-center">
                <h2>Vous avez été enregistré avec succès !</h2>
                Un mail de confirmation vous a été envoyé à l'adresse {{ client.email }} pour activer votre carte VA.
                <br> <br>
            </div>
        </div>
    </div>
</div>